# ============================================================================
# Configuration file for PMS
# ============================================================================
# Introduction:
#
# This "PMS.conf" file holds the configuration settings for PMS. These settings
# are usually set using the PMS graphical user interface. If you are running
# PMS on a headless system, you may not be able to kick off the GUI; instead,
# you can edit the PMS.conf file to control the operation of PMS. A restart of
# PMS is required after editing this file.
#
# Commenting out an option or leaving it empty forces the PMS default
# that is indicated.
#
# Key value pairs
# ---------------
# The configuration file contains key/value pairs separated by an equals (=)
# sign; the key on the left and the value on the right. The value is edited in
# this file or set using the PMS GUI and saved. The value can take a number of
# different forms:
#
#  - toggle: a checkbox or boolean; either "true" or "false"
#  - selector: a dropdown menu in the GUI, generating a string or numeric
#              value. Available options will usually be stated below
#  - string: a short text or a number
#  - text: a longer text with embedded line breaks
#  - list: a comma-separated list of strings or numbers
#
# In the file below the value type is shown after the GUI option label.
#
# ----------------------------------------------------------------------------
# General Configuration Tab
# ----------------------------------------------------------------------------
# ---< General Settings >-----------------------------------------------------

# Profile Name
# --------------
# An optional identifier used to distinguish this profile (i.e. collection of
# settings) from other profiles. The profile name is displayed in the renderer
# in square brackets after the software name e.g.
#
#     PS3 Media Server [myprofile]
#
# See the FAQ for details on how to create and use multiple profiles:
# http://www.ps3mediaserver.org/forum/viewtopic.php?f=6&t=3507&p=49895#p49895
# Default: the server's hostname.
name =

# Interface Language
# -------------------
# GUI option: Language (selector)
# The language to use for the GUI and other dialogues.
# The following translations are available:
#   ar = Arab
#   bg = Bulgarian
#   ca = Catalan
#   zhs = Chinese (Simplified)
#   zht = Chinese (Traditional)
#   cz = Czech
#   da = Danish
#   nl = Dutch
#   en = English
#   fi = Finish
#   fr = French
#   de = German
#   el = Greek
#   is = Icelandic
#   it = Italian
#   iw = Hebrew
#   ja = Japanese
#   ko = Korean
#   no = Norwegian
#   pl = Polish
#   pt = Portuguese
#   br = Portuguese (Brazilian)
#   ro = Romanian
#   ru = Russian
#   sl = Slovenian
#   es = Spanish
#   sv = Swedish
#   tr = Turkish
# The short-form code (e.g. = en) is used to set the language.
# Default: "", which means PMS will follow the locale.
language =

# Operating Mode
# --------------
# GUI Option: Start Minimized (toggle)
# Sets whether the GUI should start when the program is launched.
# On headless systems, this should be "true".
# Default: false
minimized =

# Check for updates
# -----------------
# GUI Option: Check automatically (toggle)
# Default: false.
auto_update =

# ---< Network Settings >-----------------------------------------------------
# Generally these settings should not need to be changed from their defaults or
# settings determined automatically by the system. Changing them may make your
# PMS server disappear from your other devices.

# Interface
# ---------
# GUI Option: Force networking on interface (selector)
# Specifies the (physical) network interface to attach to, should only be
# relevant when the server has more than one network interface and PMS picks
# the wrong one. The selector displays all available network interfaces.
# E.g. network_interface = eth0
# Default: "", which means PMS will automatically select a network interface.
network_interface =

# Specifies a comma separated list of network interfaces to ignore when
# scanning for a suitable network interface to attach to. This is typically
# used to ignore virtual interfaces created by other applications.
# Default: "tap,vmnet,vnic", which ignores interfaces named "tap0", "tap1" and
# "tap2", but it allows an interface named "eth0".
skip_network_interfaces =

# IP Address
# ----------
# GUI Option: Force IP of the server (string)
# A network interface can be have multiple IP addresses associated with it.
# This sets which one should be used.
# Default: "", which means PMS will automatically select an IP address.
hostname =

# Server port
# -----------
# GUI Option: Force the port of the server (string)
# Sets the port PMS will listen on; usually should not need to be set unless
# another service has already grabbed the port.
# Default: "", which means PMS will automatically pick port 5001.
port =

# IP Filter
# -------------
# GUI Option: Use an IP filter (string)
# Set the IP address(es) and/or IP address range(s) of the clients permitted to
# connect.  When no filter is specified, PMS will allow any IP address to
# connect to the service.
# Multiple IP addresses and/or IP address ranges can be separated with a comma
# or semicolon e.g.: 127.0.0.1,192.168.0-1.*
# Default: ""
ip_filter =

# Max Bandwidth
# -------------
# GUI Option: Maximum bandwidth in Mb/s (string)
# Set the maximum bandwidth to be consumed by the server.
# Leaving the setting blank or zero switches off bandwidth throttling.
# Default: 110
maximum_bitrate =

# ---< Advanced HTTP and system settings >------------------------------------

# HTTP Engine v2
# --------------
# GUI Option: HTTP Engine v2 (toggle)
# Default: true
http_engine_v2 =

# Do not sleep
# ------------
# GUI Option: Prevent OS from sleeping while streaming (toggle)
# If your host server has a power-saving mode, use this option to prevent the
# server hibernating or sleeping while it is streaming data.
# Default: false
prevents_sleep_mode =

# GUI Option: Default renderer when automatic detection fails (selector)
# PMS can recognize many renderers automatically. Sometimes a renderer will
# connect which PMS does not recognize. This option defines which renderer PMS
# should assume.
# Default: "", which means PMS will assume the "Unknown renderer".
renderer_default =

# GUI Option: Force default renderer (disable automatic detection) (toggle)
# By default PMS tries to automatically detect what renderers try to connect to
# it. When this is true, PMS will assume any renderer that connects is the
# default renderer.
# Default: false
renderer_force_default =

# Set the string that contains a list of IP adresses and the renderer
# profiles that should be forced to match for them. The comma separated
# list contains pairs of a renderer name followed by "@" and an IP
# address. The renderer name should match the value of the RendererName
# property in a .conf file. The IP address can be specified as a range.
# If there are multiple matches, the first that is found will be forced.
#
# Example: "Sony Bravia HX@192.168.1.34,Sony Bravia EX@192.168.0-1.*" will
# use regular detection for a renderer connecting from "192.168.2.1" (as
# there is no match), will force "Sony Bravia EX" for a renderer connecting
# from "192.168.1.2" (match with the range) and will force "Sony Bravia HX"
# for a renderer connecting from "192.168.1.34" (matches both entries, but
# the HX was found first).
#
# Default: "", which means PMS will not force anything and use regular
# detection.
renderer_force_ip =

# ---< Plugins >--------------------------------------------------------------

# The directory where PMS can find the plugins.
# Default: "plugins"
plugins =

# ---< WEB.conf >--------------------------------------------------------------
# The path to the WEB.conf file to use with this profile. This can be a relative
# or absolute path to a file or directory as per the rules for PMS_PROFILE
# described in the FAQ:
# http://www.ps3mediaserver.org/forum/viewtopic.php?f=6&t=3507&p=49895#pms-faq-custom-profiles-environment-variable
# Default is $PROFILE_DIRECTORY/WEB.conf
web_conf =

# ----------------------------------------------------------------------------
# Navigation/Share Settings Tab
# ----------------------------------------------------------------------------

# ---< Thumbnails >-----------------------------------------------------------

# Generate Thumbnails
# -------------------
# GUI Option: Generate Thumbnails
# Set whether or not to generate thumbnails of media files for the client.
# Default: true
generate_thumbnails =

# Thumbnail seeking position
# --------------------------
# GUI Option: Thumbnail seeking position (string)
# Amount of time (in seconds) to skip in video media before generating
# thumbnail data, designed to pass over usual black screen before movies start.
# Default: 2
thumbnail_seek_position =

# Use MPlayer for Thumbnails
# --------------------------
# GUI Option: Use MPlayer for video thumbnails (toggle)
# Whether or not to use MPlayer to generate the thumbnails for video; can
# produce better results than built-in method.
# Default: false, which will use the built-in method.
use_mplayer_for_video_thumbs =

# DVD thumbnails
# --------------
# GUI Option: DVD ISO thumbnails (toggle)
# Choose whether or not to show thumbnails of ISO images.
# Default: false
dvd_iso_thumbnails =

# Image thumbnails
# --------------
# GUI Option: Image thumbnails (toggle)
# Choose whether or not to show thumbnails of images.
# Default: true
image_thumbnails =

# Album cover art
# ---------------
# GUI Option: Audio thumbnails display (selector)
# Choose how to get thumbnails for audio files (cover art), value is a number
# from the following list (equivalent to GUI dropdown order):
#  0 - Alphabetical (A-Z) - search local filesystem
#  1 - download from Amazon
#  2 - download from Discogs
# Default: 0
audio_thumbnail_method =

# Source of video cover art
# -------------------------
# GUI Option: Alternate video cover art folder (selector)
# Specify a folder below which appropriate cover art for videos might be
# located. Providing no value (default) effectively disables video thumbnails.
# The GUI offers a file-system navigator which generates an absolute path.
# Default: ""
alternate_thumb_folder =

# ---< File sorting >---------------------------------------------------------

# File ordering
# -------------
# GUI Option: File ordering (selector)
# Determines the order of listed content when a client browses a folder; the
# GUI selector generates a numeric indicator according to the following.
#  0 - Alphabetical A-Z
#  1 - By date (newest first)
#  2 - By reverse date (oldest first)
#  3 - ASCIIbetical (i.e. using ASCII code values)
#  4 - Alphanumeric (AKA natural sort e.g. "Season 2" before "Season 10")
# Default: 4
sort_method =

# ---< Virtual folders >------------------------------------------------------
# Instructs the system on how to find media and various controls on giving
# clients access to transcoding facilities and features.

# Hide file extensions
# --------------------
# GUI Option: Hide file extensions (toggle)
# Choose whether or not to show file extensions when showing file name in
# client listings.
# Default: false
hide_extensions =

# Hide engine names
# -----------------
# GUI Option: Hide engine names (toggle)
# Choose whether or not to show transcoding engine names for video; see also
# "Hide Transcode Folder" setting.
# Default: false
hide_engine_names =

# Hide non-media folders
# ----------------------
# GUI Option: Hide non-media folders (toggle)
# Choose whether or not to show folders which contain no viewable content.
# Switching this on can slow down browsing in the client (folders must be
# checked for content first before showing them); using a cache (see below) can
# help.
# Default: false
hide_empty_folders =

# Show iTunes library
# -------------------
# GUI Option: Show iTunes library (toggle)
# Choose whether or not to show the iTunes library as a folder in PMS.
# Default: false
show_itunes_library =

# Show iPhoto library
# -------------------
# GUI Option: Show iPhoto library (toggle)
# Choose whether or not to show the iPhoto library as a folder in PMS.
# Default: false
show_iphoto_library =

# Show Aperture library
# ---------------------
# GUI Option: Show aperture library (toggle)
# Choose whether or not to show the Aperture library as a folder in PMS.
# Default: false
show_aperture_library =

# Enable cache
# ------------
# GUI Option: Enable cache (toggle)
# Without a cache, when the client browses a folder, content is listed in
# real-time. With a cache, additional information becomes available and the
# cache can be browsed directly.
# Default: false
use_cache =

# Hide cache folder
# -----------------
# GUI Option: Hide cache folder (toggle)
# Controls whether or not the cache can be browsed directly by the client.
# Default: false
hide_media_library_folder =

# Browse compressed archives
# -------------------
# GUI Option: Browse compressed archives (toggle)
# Should the system browse compressed files looking for media? Files are
# extracted only when selected for viewing.
# Supported formats: cbr, cbz, rar and zip.
# Default: false
enable_archive_browsing =

# Hide Video settings
# -------------------
# GUI Option: Hide Video settings (toggle)
# Control visibility of the Video Settings folder on clients; contents of the
# folder allow direct editing of PMS settings for video.
# Default: false
hide_video_settings =

# Hide Transcode folder
# ---------------------
# GUI Option: Hide Transcode folder (toggle)
# Control visibility of the Transcode folder on clients; contents of the folder
# provide control over transcoding of video.
# Default: false
hide_transcode_folder =

# Transcode Folder Name
# ---------------------
# Assign a different name to the #--TRANSCODE--# folder e.g. "Subtitles" or
# "Languages".
# Default: The localized version of "#--TRANSCODE--#".
transcode_folder_name =

# ---< Shared folders >-------------------------------------------------------

# Media Locations
# ---------------
# GUI Option: Shared folders dialogue (list)
# Either define a list of specific folders containing media to be shared or
# allow the system to browse the whole disk of the server. The GUI provides a
# system navigation to generate a list of folders. The list should contain a
# comma-separated list of absolute path names, or leave it empty to let the
# system find media.
# Default: ""
folders =

# ----------------------------------------------------------------------------
# Transcoding Settings Tab
# ----------------------------------------------------------------------------

# Transcoder engines
# GUI Option: Ordered list of engines (selector)
# The exact list of available engines depends on the server.
# Warning: the value can be empty, which overrides the default value and will
# disable all engines.
# Default: "mencoder,avsmencoder,tsmuxer,ffmpegvideo,vlctranscoder,ffmpegaudio,tsmuxeraudio,ffmpegwebvideo,vlcvideo,mencoderwebvideo,vlcwebvideo,vlcaudio,ffmpegdvrmsremux,rawthumbs"
# engines =

# ----------------------------------------------------------------------------
# Transcoding Settings Tab: Common Transcode Settings Page
# ----------------------------------------------------------------------------

# ---< General settings >-------------------------------------------------------

# Transcode buffer size
# ---------------------
# GUI Option: Transcode buffer maximum size (string)
# Size of buffer in MB before transmitting to client. The maximum value is 400
# if the program memory is set to its default value (768).
# Default: 200
maximum_video_buffer_size =

# Cores for Transcoding
# ---------------------
# GUI Option: Number of cores for transcoding (selector)
# Choose the number of processor cores that should be used for transcoding.
# Default: "", which will use automatic-detection.
number_of_cpu_cores =

# Chapters #--TRANSCODE--# folder support
# -----------------------------------
# GUI Option: Chapters #--TRANSCODE--# folder support (toggle)
# Makes PMS create virtual chapter markers in a video file. These let
# you jump to a specific point in a video.
# Default: false
chapter_support =

# Chapters #--TRANSCODE--# folder support interval
# --------------------------------------------
# GUI Option: Chapters #--TRANSCODE--# folder support interval (string)
# Determines the interval time in minutes for virtual chapter markers.
# Default: 5
chapter_interval =

# Disable subtitles
# ---------------------------
# GUI Option: Disable subtitles (toggle)
# Default: false
disable_subtitles =

# ---< Video Settings Tab >-----------------------------------------------

# Remux DVD
# ---------
# GUI Option: Remux DVD ISO video track (toggle)
# Default: true
mencoder_remux_mpeg2 =

# ---< Misc settings >--------------------------------------------------------

# MPEG-2 options
# --------------
# GUI Option: MPEG-2 options (string)
# Sets the quality for MPEG-2 conversion; MPEG-2 is the fallback format if the
# client does not support a video format natively.
# Default: "Automatic (Wired)"
mpeg2_main_settings =

# Skip transcode for extensions
# -----------------------------
# GUI Option: Skip transcode for extensions (list)
# Do not transcode files with an extension in the list.
# Default: ""
disable_transcode_for_extensions =

# Force transcode for extensions
# ------------------------------
# GUI Option: Force transcode for extensions (list)
# Always transcode file with an extension in the list.
# Default: ""
force_transcode_for_extensions =

# ---< Audio Settings Tab >-------------------------------------------------------

# PS3 Media Server decides what to do with the audio track by checking
# options in the following order:
# 1. (AC3 and DTS tracks) Keep DTS track / Keep AC3 track => remuxes track
#    as-is
# 2. (all tracks) Use LPCM transcoding => transcodes track with LPCM transport
#    (lossless)
# 3. (all tracks) Use AC3 transcoding => transcodes track with AC3 transport
#    (lossy)

# AC3 transcoding audio channels
# --------------
# GUI Option: Maximum audio channels (selector)
# The maximum number of channels used for AC3 transcoding. Do not change this
# value even if you use 2.0 speakers because of a MEncoder downmixing bug!
# Default: 6
audio_channels =

# Use LPCM for audio
# ---------------------------
# GUI Option: Use LPCM for audio (lossless, not suitable for Wi-Fi) (toggle)
# Choose whether or not the Pulse Code Modulation (PCM) audio format should be
# used instead of AC3 with the MEncoder transcoding engine. Offers lossless
# transcoding quality but higher bitrate. Bandwidth requirements are about 1.5
# Mbit/s for 2.0 and 4.6 Mbit/s for 5.1 audio.  Not suitable for Wi-Fi
# streaming!
# Default: false
audio_use_pcm =

# Keep AC3 track
# ---------------
# GUI Option: Keep AC3 tracks (no re-encode, may cause choppy sound and A/V
# sync issues) (toggle)
# Default: true
audio_remux_ac3 =

# Keep DTS track
# ------------------
# GUI Option: Keep DTS tracks (no re-encode, compatible with AV receiver
# through optical or HDMI output) (toggle)
# Default: false
audio_embed_dts_in_pcm =

# AC3 transcoding audio bitrate
# -----------------
# GUI Option: AC3 re-encoding audio bitrate (string)
# Specify the bitrate for AC3 transcoding; do not exceed the quality supported
# by the AV receiver or amplifier.
# Default: 640
audio_bitrate =

# Audio language priority
# -----------------------
# GUI Option: Audio language priority (list)
# A comma-separated list of language codes that defines the priority for
# MEncoder when choosing audio languages, where "und" stands for "undefined".
# XXX Can be empty, which overrides the default value.
# Default: a localized list (e.g. "eng,fre,jpn,ger,und").
# audio_languages =

# Use LPCM only for HQ audio
# ---------------------------
# GUI Option: none
# Limit LPCM audio transcoding to high quality audio tracks (DTS, TrueHD, etc) only. Use AC3
# transcoding for others.
# Default: false.
mencoder_usepcm_for_hq_audio_only =

# ---< Subtitles Settings Tab >-------------------------------------------------------

# Subtitle language priority
# --------------------------
# GUI Option: Subtitle language priority (list)
# A comma-separated list of language codes that defines the priority for
# MEncoder when choosing subtitle languages, where "und" stands for
# "undefined". XXX Can be empty, which overrides the default value.
# Default: a localized list (e.g. "eng,fre,jpn,ger,und").
# subtitle_languages =

# Force subtitle language
# -----------------------
# GUI Option: Force subtitle language (string)
# XXX Can be empty, which overrides the default value.
# Default: the value of the language option, or "en".
# forced_subtitle_language =

# Forced tags
# -----------
# GUI Option: Forced tags (string)
# The tag string that identifies the subtitle language that will be forced
# upon MEncoder.
# Default: "forced"
forced_subtitle_tags =

# Subtitles folder
# ----------------------
# GUI Option: Subtitles folder (string)
# GUI offers a navigator to a folder generating an absolute path.
# Default: ""
alternate_subtitle_folder =

# Load subtitles
# --------------
# GUI Option: Load subtitles
# Choose whether PMS should check for external subtitle files with the same
# name as the media (*.srt, *.sub, *.ass, etc.).
# Default: true
autoload_external_subtitles =

# ----------------------------------------------------------------------------
# Transcoding Settings Tab: MEncoder Page
# ----------------------------------------------------------------------------

# ---< General settings >-----------------------------------------------------

# MEncoder: Enable multithreading
# ------------------
# GUI Option: Enable multithreading (toggle)
# Whether MEncoder should use multithreading
# Default: "", which will use automatic-detection.
mencoder_mt =

# Skip loop filter
# ----------------
# GUI Option: Skip loop filter
# Default: false
mencoder_skip_loop_filter =

# A/V sync alternative method
# -------------------------
# GUI Option: A/V sync alternative method
# Default: true
mencoder_no_out_of_sync =

# Use Video Scaler
# ----------------
# GUI Option: Use Video Scaler
# Default: false
mencoder_scaler =
# GUI Option: Video scaler width
# Default: 0
mencoder_scalex =
# GUI Option: Video scaler height
# Default: 0
mencoder_scaley =

# Force framerate
# ---------------
# GUI Option: Force framerate
# Default: false
mencoder_forcefps =

# Deinterlace filter
# ------------------
# GUI Option: Deinterlace filter
# Default: false
mencoder_yadif =

# Codec specific parameters
# -------------------------
# GUI Option : Use application default codec parms
# Default: true
mencoder_intelligent_sync =

# GUI Option: Codec specific parameters (text)
# Sets additional codec-specific configuration options for MEncoder.
# Default: ""
mencoder_codec_specific_script =

# Custom options
# --------------
# GUI Option: Custom options (string)
# Default: ""
mencoder_custom_options =

# Audio language priority
# -----------------------
# GUI Option: Audio language priority (string)
# Determine the string of audio language and subtitle language pairs ordered by
# priority for MEncoder to try to match. Audio language and subtitle language
# should be comma separated as a pair; individual pairs should be semicolon
# separated. "*" can be used to match any language.  Subtitle language can be
# defined as "off" (e.g. "jpn,off;*,*").
# XXX Can be empty, which overrides the default value.
# Default: a localized list (e.g. "eng,off;*,eng;*,und").
# audio_subtitle_languages =

# Subtitles codepage
# ------------------
# GUI Option: Codepage for non-Unicode subtitles (string)
# The character encoding (or code page) that MEncoder should use for
# non-Unicode external subtitles.
# Default: "" (autodetect, do not force encoding with -subcp key).
subtitle_codepage =

# FriBiDi
# -------
# GUI Option: FriBiDi (toggle)
# Determine whether or not MEncoder should use FriBiDi mode, which is needed to
# display subtitles in languages that read from right to left, like Arabic,
# Farsi, Hebrew, Urdu, etc.
# Default: false
mencoder_sub_fribidi =

# Subtitle font blank
# -------------------
# GUI Option: Subtitle font (string)
# GUI offers a navigator to a folder generating an absolute path.
# Default: ""
subtitle_font =

# Use ASS/SSA styling
# -------------------
# GUI Option: Use ASS/SSA subtitle styling (toggle)
# Choose whether or not MEncoder supports ASS/SSA subtitles.
# Default: true
mencoder_ass =

# Enable MEncoder fontconfig support
# -------------
# GUI Option: Fontconfig/Embedded fonts (toggle)
# Default: true
mencoder_fontconfig =

# Use embedded style
# ------------------
# GUI Option: Use embedded style (toggle)
# Default: true
mencoder_ass_defaultstyle =

# Subtitle colour
# ---------------
# GUI Option: Subtitle colour (string)
# The integer value for the subtitle colour. GUI offers a palette to choose
# from that will generate a number. Default is empty, causing PMS to pick
# white.
# Default: ""
subtitle_color =

# Style font scale
# ----------------
# GUI Option: Style font scale
# The font scale used for ASS subtitling.
# Default: 1.0
subtitle_ass_scale =

# GUI Option: Styled font outline
# The outline parameter used for ASS subtitling.
# Default: 1
subtitle_ass_outline =

# GUI Option: Styled font shadow
# The shadow parameter used for ASS subtitling.
# Default: 1
subtitle_ass_shadow =

# GUI Option: Styled margin
# The margin used for ASS subtitling.
# Default: 10
subtitle_ass_margin =

# Plain font scale
# ----------------
# GUI Option: Plain font scale
# The subfont text scale parameter used for subtitling without ASS.
# Default: 3
mencoder_noass_scale =

# GUI Option: Plain font outline
# The subfont outline parameter used for subtitling without ASS.
# Default: 1
mencoder_noass_outline =

# GUI Option: Plain font blur
# The subfont blur parameter used for subtitling without ASS.
# Default: 1
mencoder_noass_blur =

# GUI Option: Plain margin
# The subpos parameter used for subtitling without ASS.
# Default: 2
mencoder_noass_subpos =

# DVD/VOB subtitle quality
# ------------------------
# GUI Option: DVD/VOB subtitle quality
# Default: 3
mencoder_vobsub_subtitle_quality =

# Add borders
# -----------
# GUI Option: width
# Default: 0
mencoder_overscan_compensation_width =

# GUI Option: height
# Default: 0
mencoder_overscan_compensation_height =

# ----------------------------------------------------------------------------
# Transcoding Settings Tab: tsMuxeR Page
# ----------------------------------------------------------------------------

# Force FPS from FFmpeg
# ---------------------
# GUI Option: Force FPS parsed from FFmpeg in the meta file
# Default: true
tsmuxer_forcefps =

# Mux all audio
# -------------
# GUI Option: Mux all audio tracks
# Default: false
tsmuxer_mux_all_audiotracks =

# Audio resampling
# ----------------
# GUI Option: Automatic audio resampling (toggle)
# Default: true.
audio_resample =

# ----------------------------------------------------------------------------
# Transcoding Settings Tab: FFmpeg Page
# ----------------------------------------------------------------------------

# FFmpeg: Enable multithreading
# ---------------------
# GUI Option: Enable multithreading (toggle)
# Whether FFmpeg should use multithreading
# Default: "", which will use automatic-detection.
ffmpeg_multithreading =

# FFmpeg: Remux videos
# ---------------------
# GUI Option: Remux videos (toggle)
# Whether FFmpeg should remux videos when possible instead of transcoding
# Default: true
ffmpeg_mux_compatible =

# ----------------------------------------------------------------------------
# Transcoder Settings: VLC
# ----------------------------------------------------------------------------

# GUI Option: Enable audio sync
# Default: false
# vlc_audio_sync_enabled =

# No GUI option. Whether or not to display subtitles.
# Default: true
# vlc_subtitle_enabled =

# GUI Option: override detection
# Default: false
# vlc_sample_rate_override =

# GUI Option: Audio Sample Rate
# Default: 48000
# vlc_sample_rate =

# GUI Option: Video scale
# Default: 1.0
# vlc_scale =

# GUI Option: Enable experimental codecs
# Default: false
# vlc_use_experimental_codecs =

# ---< Binary tools paths >---------------------------------------------------
# Path to mencoder (absolute or relative from project.binaries.dir)
# Default:
#     Win: win32/mencoder.exe
#     Mac: osx/mencoder
#     Linux: mencoder + system PATH
mencoder_path =

# Path to ffmpeg (absolute or relative from project.binaries.dir)
# Default:
#     Win: win32/ffmpeg.exe
#     Mac: osx/ffmpeg
#     Linux: ffmpeg + system PATH
ffmpeg_path =

# Path to mplayer (absolute or relative from project.binaries.dir)
# Default:
#     Win: win32/mplayer.exe
#     Mac: osx/mplayer
#     Linux: mplayer + system PATH
mplayer_path =

# Path to tsMuxeR (absolute or relative from project.binaries.dir)
# Default:
#     Win: win32/tsMuxeR.exe
#     Mac: osx/tsMuxeR
#     Linux: tsMuxeR + system PATH
tsmuxer_path =

# Path to dcraw (absolute or relative from project.binaries.dir)
# Default:
#     Win: win32/dcrawMS.exe
#     Mac: osx/dcraw
#     Linux: dcraw + system PATH
dcraw_path =

# Path to FLAC (absolute or relative from project.binaries.dir)
# Default:
#     Win: win32/flac.exe
#     Mac: osx/flac
#     Linux: flac + system PATH
flac_path =

# Path to eac3to (absolute or relative from project.binaries.dir)
# Default:
#     Win: win32/eac3to/eac3to.exe
eac3to_path =

# Path to VideoLAN (absolute or relative from project.binaries.dir)
# Default:
#     Win: videolan/vlc.exe
#     Mac: /Applications/VLC.app/Contents/MacOS/VLC
#     Linux: vlc + system PATH
vlc_path =

# Path to convert (absolute or relative from project.binaries.dir)
# Default:
#     Win: win32/convert.exe
#     Mac: osx/convert
#     Linux: convert + system PATH
imconvert_path =

# ---< Active - but not settable in GUI >-------------------------------------

# Set to "true" if PMS should pass the flag "convertfps=true" to AviSynth.
# Default: true.
avisynth_convert_fps =

# The template for the AviSynth script. The script string may contain the
# character "\u0001", which will be treated as newline character.
avisynth_script =

# Default: false
transcode_block_multiple_connections =

# Default: true
transcode_keep_first_connection =

# The maximum size (in MB) that PMS should use for buffering audio.
# Default: 100
maximum_audio_buffer_size =

# The minimum size (in MB) that PMS should use for the streaming media buffer.
# Default: 1
minimum_web_buffer_size =

# ----------------------------------------------------------------------------
# Filename templates
# ----------------------------------------------------------------------------
#
# File display names are constructed by substituting variables
# into the filename_format_short or filename_format_long templates. The
# former is used for files in the #--TRANSCODE--# folder and the latter
# is used for all other files and folders.
#
# The available variables are:
#
#     aCodec  - audio codec (e.g. "AC3")
#     aFlavor - audio flavor (e.g. "ac3 5.1 @ 640 kbps")
#     aFull   - audio language full name (e.g. "Japanese")
#     aLabel  - the localised version of "Audio"
#     aShort  - audio language short name (e.g. "jp")
#     dvdLen  - DVD track duration (e.g. "3:27:15")
#     eFull   - engine full name (e.g. "FFmpeg Web Video")
#     eShort  - engine short name (e.g. "FFWV")
#     fFull   - file name with extension (e.g. "Big Buck Bunny.mov")
#     fShort  - file name without extension (e.g. "Big Buck Bunny")
#     isVTS   - true if the resource is a DVD VIDEO_TS folder
#     sExt    - set to the localised version of "External Subtitles" if the file has external subtitles
#     sFlavor - subtitle flavor (e.g. "TX3G")
#     sFull   - subtitle language full name (e.g. "English")
#     sLabel  - the localised version of "Sub"
#     sShort  - subtitle language short name (e.g. "en")
#     sType   - subtitle type (e.g. "Timed text")
#     vtsDVD  - the name of the parent folder of the VIDEO_TS folder
#
#
# In addition, the following variables are available:
#
#     extra    - True if any of the following variables are set: dvdLen, eFull, eShort, sExt, sType
#     isFile   - True if the resource is a file
#     isFolder - True if the resource is a folder
#     lt, gt   - "<" and ">". Use these to avoid conflicts with the start and end tags
#
# Note that variables may not always be defined e.g. the filename (fShort and fFull) is not
# set inside the #--TRANSCODE--# folder and audio and subtitle variables are not
# set for folders or other files without audio or subtitle tracks.
#
# The template engine, JMTE, supports simple conditional statements e.g.:
#
#     <if aCodec> ... <end>
#
# In addition, it provides a shorthand syntax that allows the following:
#
#     <if foo> PREFIX<foo>SUFFIX <end>
#
# to be written as:
#
#     <PREFIX,foo,SUFFIX>
#
# e.g.:
#
#     <[,eFull,]>
#
# displays the engine name wrapped in square brackets if the engine is defined, or an empty string if it isn't.
# See the JMTE documentation for more details: https://jmte.googlecode.com/svn/trunk/doc/index.html
#
# After substitution, multiple spaces are squashed to a single space and leading or trailing
# whitespace is removed.

# The filename template to use for files in the #--TRANSCODE--# folder.
# Default: "<[,eFull,]> <if aCodec> {<aLabel>: <aCodec>/<aFull>< (,aFlavor,)>} <end> <if sType> {<sLabel>: <sType>/<sFull>< (,sFlavor,)>} <end>"
filename_format_short =

# The filename template to use for files and folders outside the #--TRANSCODE--# folder.
# Default: "<fFull> <if isVTS>< {,vtsDVD,}><end> <if extra> - <end> <dvdLen> <[,eFull,]> <{,sExt,}> <if sType> {<sLabel>: <sType>/<sFull>< (,sFlavor,)>} <end>"
filename_format_long =

# ---< Other settings saved by PMS >------------------------------------------